/* 
CHART DEMO STYLESHEET
2014-02-02
james.dittrich@gmail.com
*/


/* D3 styles */
body svg{
  font: 10px sans-serif;
}

table{
  clear: both;
  margin: 10px;
}

th{
  padding: 2px 10px;
}

tr{
  margin: 5px;
}

td{
  border: 1px solid #888;
  padding: 2px 10px;
  margin-right: 10px;
}

.axis path,
.axis line {
  fill: none;
  stroke: #000;
  shape-rendering: crispEdges;
}

.x.axis path {
  display: none;
}

.area2 {
  fill: rgb(16,78,139);
  clip-path: url(#clip);
}

.area.above {
  fill: rgb(255,20,20);
}

.area.below {
  fill: rgb(20,255,20);
}

.line {
  fill: none;
  stroke: #000;
  stroke-width: 1.5px;
}

.etl-reg {
  fill: none;
  stroke: #adadad;
  stroke-width: 3px;
}

.ptl-reg{
  fill: none;
  stroke: #5d00ba;
  stroke-width: 3px;
}

.brush .extent {
  stroke: #fff;
  fill-opacity: .125;
  shape-rendering: crispEdges;
}

/* override bootstrap defaults*/
.panel{
  min-width: 960px;
}

.label-success{
  /* color: #000; */
  background: #0f0;
  clear: left;
  float: right;
  margin: 0px 5px 5px 0px;
}

.label-danger{
  background: #f00;
  float: right;
  margin: 0px 5px 5px 0px;
}

.label-trend{
  color: #000;
  background: #d9edf7;
  border: 1px solid #ccc;
  clear: left;
  float: right;
  margin: 0px 5px 5px 0px;
}

.label-ptl{
  color: #fff;
  background: #5d00ba;
  clear: both;
  margin: 0px 0px 5px 0px;
}

.label-etl{
  color: #000;
  background: #adadad;
  clear: both;
  margin: 0px 0px 5px 0px;
}

.label-slope, .label-brushsize{
  color: #000;
  background: #d9edf7;
  border: 1px solid #ccc;
  margin: 10px 0px 50px;
}

#etl-info, #ptl-info{
  border: 1px solid #ccc;
  margin: 10px auto;
  padding: 6px 10px 10px;
  min-height: 80px;
}

.sector, .industry{
  width: 300px;
}

.sector{
  clear: left;
  float: left;
}

.industry{
  clear: none;
  float: left;
  margin: 0px 20px;
}

.legend{
  position: absolute;
  top: 100px;
  left: 760px;
  z-index: 10;
  padding: 20px 0px;
  width: 240px;
  line-height: 36px;
}

.panel{
  min-width: 1024px;
}

.panel-heading{
  min-height: 110px;
}

.panel-body{
  min-width: 960px;
  min-height: 500px;
  clear: both;
}

.panel-body svg{
  clear: both;
}

#line-tools{
  margin: 20px;
  padding: 10px;
  float: left;
  width: 260px;
  border: 1px solid #888;
  background: #fff;
}

#etl-regtoggle, #ptl-regtoggle{
  margin: 5px 0px;
  clear: both;
  min-width: 160px;
}

.label-regtoggle{
  color: #000;
  margin-top: 10px;
}

#raw-data{
  background: #fff;
  border: 1px solid #000;
  float: left;
  margin: 20px 20px;
}

div h5{
  margin: 10px 0px 10px 50px;
  padding-left: 50px;
}

#signal-magnitude{
  background: #fff;
  border: 1px solid #000;
  float: left;
  margin: 0px 20px;
}
